Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock
Class GroovyMock

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.mock.GroovyMock

All Implemented Interfaces:
  com.mockobjects.Verifiable, GroovyObject

Deprecated. As of Groovy 1.5 replaced by MockFor (or use an external mocking package) `MockFor`

    public class GroovyMock

extends GroovyObjectSupport
implements com.mockobjects.Verifiable

Author:
  Joe Walnes, Chris Stevenson

Constructor Summary
`GroovyMock()` Deprecated.

Method Summary
`GroovyObject` | `getInstance()` Deprecated.
`Object` | `invokeMethod(String name, Object args)` Deprecated. Invokes the given method.
`static GroovyMock` | `newInstance()` Deprecated.
`void` | `verify()` Deprecated.

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyMock

    public GroovyMock()

  Deprecated.

Method Detail

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Deprecated.
  Description copied from interface: `GroovyObject`
  Invokes the given method.

  Specified by:
    `invokeMethod` in interface `GroovyObject`
  Overrides:
    `invokeMethod` in class `GroovyObjectSupport`
  Parameters:
    `name` - the name of the method to call
    `args` - the arguments to use for the method call
  Returns:
    the result of invoking the method

### getInstance

    public GroovyObject getInstance()

  Deprecated.

### newInstance

    public static GroovyMock newInstance()

  Deprecated.

### verify

    public void verify()

  Deprecated.
  Specified by:
    `verify` in interface `com.mockobjects.Verifiable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD